<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
/**
 * @var array $data
 *
 */
$post = $data['post'] ?? null;
if (!$post) {
    return;
}

$develuxsct_legend = $data['legend'] ?? '';
$develuxsct_tooltip = $data['tooltip'] ?? '';
$develuxsct_data_tooltip = '';
if ($develuxsct_tooltip) {
    $develuxsct_data_tooltip =  $develuxsct_tooltip;
}

$develuxsct_key = $data['key'] ?? '';
$develuxsct_global_key = $develuxsct_key . '_global';
$develuxsct_global_settings = wp_load_alloptions();
$develuxsct_global_value = $develuxsct_global_settings[$develuxsct_global_key] ?? '';
$develuxsct_ignore_global_settings = $data['ignore_global_settings'] ?? 1;


$id = $data['id'] ?? '';
$develuxsct_class_name = $data['class_name'] ?? '';
$develuxsct_items = $data['items'] ?? 'center';
$develuxsct_flex_direction = $data['flex_direction'] ?? 'col';
$develuxsct_options =$data['options'] ?? [];
if (!$develuxsct_options) {
    return;
}
$develuxsct_default_value = $data['default_value'] ?? '';
$develuxsct_data_property = $data['data_property'] ?? '';
$develuxsct_data_dimension_unit_type = $data['data_dimension_unit_type'] ?? '';
$develuxsct_data_target = $data['data_target'] ?? '';
if ($develuxsct_ignore_global_settings) {
    $develuxsct_post_meta_value = get_post_meta($post->ID, $develuxsct_key, true) ?: $develuxsct_default_value;
} else {
    $develuxsct_post_meta_value = $develuxsct_global_value;
}

?>
<div class="flex develux-select-wrapper w-full flex-row items-center gap-5 label-style">
        <label class="flex items-center justify-between" for="<?php echo esc_attr($id); ?>">
            <?php echo esc_html($develuxsct_legend); ?>
            <?php if($develuxsct_data_tooltip): ?>
                <span data-develux-tooltip="<?php echo esc_attr($develuxsct_data_tooltip); ?>">
         <i class="woocommerce-help-tip"></i>
    </span>
            <?php endif; ?>
        </label>
    <select data-default-value="<?php echo esc_attr($develuxsct_default_value); ?>"
            data-target="<?php echo esc_attr($develuxsct_data_target); ?>"
            data-property="<?php echo esc_attr($develuxsct_data_property); ?>"
            data-unit="<?php echo esc_attr($develuxsct_data_dimension_unit_type); ?>"
            id="<?php echo esc_attr($id); ?>"
            name="<?php echo esc_attr($develuxsct_key); ?>"
            class="<?php echo esc_attr($develuxsct_class_name); ?>">
        <?php
        foreach ($develuxsct_options as $develuxsct_value => $develuxsct_display_value): ?>
            <option value="<?php echo esc_attr($develuxsct_value); ?>"
                <?php selected(esc_attr($develuxsct_post_meta_value), esc_attr($develuxsct_value)); ?>>
                <?php echo esc_html($develuxsct_display_value); ?></option>
        <?php endforeach; ?>
    </select>

</div>
